"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteSubscriptionCommand = void 0;
const RavenCommand_1 = require("../../Http/RavenCommand");
const RaftIdGenerator_1 = require("../../Utility/RaftIdGenerator");
class DeleteSubscriptionCommand extends RavenCommand_1.RavenCommand {
    constructor(name) {
        super();
        this._name = name;
    }
    createRequest(node) {
        const uri = node.url + "/databases/" + node.database + "/subscriptions?taskName=" + this._name;
        return {
            uri,
            method: "DELETE"
        };
    }
    get isReadRequest() {
        return false;
    }
    getRaftUniqueRequestId() {
        return RaftIdGenerator_1.RaftIdGenerator.newId();
    }
}
exports.DeleteSubscriptionCommand = DeleteSubscriptionCommand;
//# sourceMappingURL=DeleteSubscriptionCommand.js.map