"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KillOperationCommand = void 0;
const RavenCommand_1 = require("../../Http/RavenCommand");
const Exceptions_1 = require("../../Exceptions");
class KillOperationCommand extends RavenCommand_1.RavenCommand {
    constructor(id, nodeTag) {
        super();
        if (!id) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "Id cannot be null.");
        }
        this._id = id;
        if (nodeTag) {
            this._selectedNodeTag = nodeTag;
        }
    }
    get isReadRequest() {
        return false;
    }
    createRequest(node) {
        const uri = `${node.url}/databases/${node.database}/operations/kill?id=${this._id}`;
        return {
            uri,
            method: "POST"
        };
    }
}
exports.KillOperationCommand = KillOperationCommand;
//# sourceMappingURL=KillOperationCommand.js.map