"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BulkInsertConventions = void 0;
const Exceptions_1 = require("../../Exceptions");
class BulkInsertConventions {
    constructor(notFrozen) {
        this._timeSeriesBatchSize = 1024;
        this._notFrozen = notFrozen;
    }
    get timeSeriesBatchSize() {
        return this._timeSeriesBatchSize;
    }
    set timeSeriesBatchSize(batchSize) {
        this._notFrozen();
        if (batchSize <= 0) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "BatchSize must be positive");
        }
        this._timeSeriesBatchSize = batchSize;
    }
}
exports.BulkInsertConventions = BulkInsertConventions;
//# sourceMappingURL=BulkInsertConventions.js.map