"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractCsharpIndexCreationTask = void 0;
const DocumentConventions_1 = require("../Conventions/DocumentConventions");
const IndexDefinition_1 = require("./IndexDefinition");
const AbstractGenericIndexCreationTask_1 = require("./AbstractGenericIndexCreationTask");
class AbstractCsharpIndexCreationTask extends AbstractGenericIndexCreationTask_1.AbstractGenericIndexCreationTask {
    get isMapReduce() {
        return !!this.reduce;
    }
    createIndexDefinition() {
        if (!this.conventions) {
            this.conventions = new DocumentConventions_1.DocumentConventions();
        }
        const indexDefinitionBuilder = new IndexDefinition_1.IndexDefinitionBuilder(this.getIndexName());
        indexDefinitionBuilder.indexesStrings = this.indexesStrings;
        indexDefinitionBuilder.analyzersStrings = this.analyzersStrings;
        indexDefinitionBuilder.map = this.map;
        indexDefinitionBuilder.reduce = this.reduce;
        indexDefinitionBuilder.storesStrings = this.storesStrings;
        indexDefinitionBuilder.suggestionsOptions = this.indexSuggestions;
        indexDefinitionBuilder.termVectorsStrings = this.termVectorsStrings;
        indexDefinitionBuilder.spatialIndexesStrings = this.spatialOptionsStrings;
        indexDefinitionBuilder.outputReduceToCollection = this.outputReduceToCollection;
        indexDefinitionBuilder.patternForOutputReduceToCollectionReferences = this.patternForOutputReduceToCollectionReferences;
        indexDefinitionBuilder.patternReferencesCollectionName = this.patternReferencesCollectionName;
        indexDefinitionBuilder.additionalSources = this.additionalSources;
        indexDefinitionBuilder.additionalAssemblies = this.additionalAssemblies;
        indexDefinitionBuilder.configuration = this.configuration;
        indexDefinitionBuilder.lockMode = this.lockMode;
        indexDefinitionBuilder.priority = this.priority;
        indexDefinitionBuilder.state = this.state;
        indexDefinitionBuilder.deploymentMode = this.deploymentMode;
        return indexDefinitionBuilder.toIndexDefinition(this.conventions);
    }
}
exports.AbstractCsharpIndexCreationTask = AbstractCsharpIndexCreationTask;
//# sourceMappingURL=AbstractCsharpIndexCreationTask.js.map