"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseJavaScriptIndexCreationTask = void 0;
const AbstractGenericIndexCreationTask_1 = require("./AbstractGenericIndexCreationTask");
const IndexDefinitionHelper_1 = require("./IndexDefinitionHelper");
const TypeUtil_1 = require("../../Utility/TypeUtil");
class BaseJavaScriptIndexCreationTask extends AbstractGenericIndexCreationTask_1.AbstractGenericIndexCreationTask {
    constructor() {
        super(...arguments);
        this._registeredEnums = [];
    }
    postProcessDefinition(definition, origin) {
        if (this._registeredEnums.length) {
            for (const transformation of this._registeredEnums) {
                const actualValue = transformation.actualValue;
                const escapedValue = TypeUtil_1.TypeUtil.isNumber(actualValue) ? actualValue.toString() : '"' + actualValue + '"';
                definition = definition.replace(transformation.sourceCode, escapedValue);
            }
        }
        return definition;
    }
    registerEnum(provider) {
        const value = provider();
        const functionBody = provider.toString();
        this._registeredEnums.push({
            sourceCode: IndexDefinitionHelper_1.IndexDefinitionHelper.extractEnumNotation(functionBody),
            actualValue: value
        });
    }
}
exports.BaseJavaScriptIndexCreationTask = BaseJavaScriptIndexCreationTask;
//# sourceMappingURL=BaseJavaScriptIndexCreationTask.js.map