"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractCsharpCountersIndexCreationTask = void 0;
const AbstractGenericCountersIndexCreationTask_1 = require("./AbstractGenericCountersIndexCreationTask");
const CountersIndexDefinitionBuilder_1 = require("./CountersIndexDefinitionBuilder");
const DocumentConventions_1 = require("../../Conventions/DocumentConventions");
class AbstractCsharpCountersIndexCreationTask extends AbstractGenericCountersIndexCreationTask_1.AbstractGenericCountersIndexCreationTask {
    createIndexDefinition() {
        if (!this.conventions) {
            this.conventions = new DocumentConventions_1.DocumentConventions();
        }
        const indexDefinitionBuilder = new CountersIndexDefinitionBuilder_1.CountersIndexDefinitionBuilder(this.getIndexName());
        indexDefinitionBuilder.indexesStrings = this._indexesStrings;
        indexDefinitionBuilder.analyzersStrings = this._analyzersStrings;
        indexDefinitionBuilder.map = this.map;
        indexDefinitionBuilder.reduce = this._reduce;
        indexDefinitionBuilder.storesStrings = this._storesStrings;
        indexDefinitionBuilder.suggestionsOptions = this._indexSuggestions;
        indexDefinitionBuilder.termVectorsStrings = this._termVectorsStrings;
        indexDefinitionBuilder.spatialIndexesStrings = this._spatialOptionsStrings;
        indexDefinitionBuilder.outputReduceToCollection = this._outputReduceToCollection;
        indexDefinitionBuilder.patternForOutputReduceToCollectionReferences = this._patternForOutputReduceToCollectionReferences;
        indexDefinitionBuilder.patternReferencesCollectionName = this._patternReferencesCollectionName;
        indexDefinitionBuilder.additionalSources = this.additionalSources;
        indexDefinitionBuilder.additionalAssemblies = this.additionalAssemblies;
        indexDefinitionBuilder.configuration = this.configuration;
        indexDefinitionBuilder.lockMode = this.lockMode;
        indexDefinitionBuilder.priority = this.priority;
        indexDefinitionBuilder.state = this.state;
        indexDefinitionBuilder.deploymentMode = this.deploymentMode;
        return indexDefinitionBuilder.toIndexDefinition(this.conventions);
    }
}
exports.AbstractCsharpCountersIndexCreationTask = AbstractCsharpCountersIndexCreationTask;
//# sourceMappingURL=AbstractCsharpCountersIndexCreationTask.js.map