"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CountersIndexDefinitionBuilder = void 0;
const CountersIndexDefinition_1 = require("./CountersIndexDefinition");
const AbstractIndexDefinitionBuilder_1 = require("../AbstractIndexDefinitionBuilder");
const Exceptions_1 = require("../../../Exceptions");
class CountersIndexDefinitionBuilder extends AbstractIndexDefinitionBuilder_1.AbstractIndexDefinitionBuilder {
    constructor(indexName) {
        super(indexName);
    }
    _newIndexDefinition() {
        return new CountersIndexDefinition_1.CountersIndexDefinition();
    }
    toIndexDefinition(conventions, validateMap = true) {
        if (!this.map && validateMap) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "Map is required to generate an index, you cannot create an index without a valid Map property (in index " + this._indexName + ").");
        }
        return super.toIndexDefinition(conventions, validateMap);
    }
    _toIndexDefinition(indexDefinition, conventions) {
        if (!this.map) {
            return;
        }
        indexDefinition.maps.add(this.map);
    }
}
exports.CountersIndexDefinitionBuilder = CountersIndexDefinitionBuilder;
//# sourceMappingURL=CountersIndexDefinitionBuilder.js.map