"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractCsharpTimeSeriesIndexCreationTask = void 0;
const AbstractGenericTimeSeriesIndexCreationTask_1 = require("./AbstractGenericTimeSeriesIndexCreationTask");
const TimeSeriesIndexDefinitionBuilder_1 = require("./TimeSeriesIndexDefinitionBuilder");
const DocumentConventions_1 = require("../../Conventions/DocumentConventions");
class AbstractCsharpTimeSeriesIndexCreationTask extends AbstractGenericTimeSeriesIndexCreationTask_1.AbstractGenericTimeSeriesIndexCreationTask {
    createIndexDefinition() {
        if (!this.conventions) {
            this.conventions = new DocumentConventions_1.DocumentConventions();
        }
        const indexDefinitionBuilder = new TimeSeriesIndexDefinitionBuilder_1.TimeSeriesIndexDefinitionBuilder(this.getIndexName());
        indexDefinitionBuilder.indexesStrings = this._indexesStrings;
        indexDefinitionBuilder.analyzersStrings = this._analyzersStrings;
        indexDefinitionBuilder.map = this.map;
        indexDefinitionBuilder.reduce = this._reduce;
        indexDefinitionBuilder.storesStrings = this._storesStrings;
        indexDefinitionBuilder.suggestionsOptions = this._indexSuggestions;
        indexDefinitionBuilder.termVectorsStrings = this._termVectorsStrings;
        indexDefinitionBuilder.spatialIndexesStrings = this._spatialOptionsStrings;
        indexDefinitionBuilder.outputReduceToCollection = this._outputReduceToCollection;
        indexDefinitionBuilder.patternForOutputReduceToCollectionReferences = this._patternForOutputReduceToCollectionReferences;
        indexDefinitionBuilder.patternReferencesCollectionName = this._patternReferencesCollectionName;
        indexDefinitionBuilder.additionalSources = this.additionalSources;
        indexDefinitionBuilder.additionalAssemblies = this.additionalAssemblies;
        indexDefinitionBuilder.configuration = this.configuration;
        indexDefinitionBuilder.lockMode = this.lockMode;
        indexDefinitionBuilder.priority = this.priority;
        indexDefinitionBuilder.state = this.state;
        indexDefinitionBuilder.deploymentMode = this.deploymentMode;
        return indexDefinitionBuilder.toIndexDefinition(this.conventions);
    }
}
exports.AbstractCsharpTimeSeriesIndexCreationTask = AbstractCsharpTimeSeriesIndexCreationTask;
//# sourceMappingURL=AbstractCsharpTimeSeriesIndexCreationTask.js.map