"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeSeriesIndexDefinitionBuilder = void 0;
const AbstractIndexDefinitionBuilder_1 = require("../AbstractIndexDefinitionBuilder");
const TimeSeriesIndexDefinition_1 = require("./TimeSeriesIndexDefinition");
const Exceptions_1 = require("../../../Exceptions");
class TimeSeriesIndexDefinitionBuilder extends AbstractIndexDefinitionBuilder_1.AbstractIndexDefinitionBuilder {
    constructor(indexName) {
        super(indexName);
    }
    _newIndexDefinition() {
        return new TimeSeriesIndexDefinition_1.TimeSeriesIndexDefinition();
    }
    toIndexDefinition(conventions, validateMap = true) {
        if (!this.map && validateMap) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "Map is required to generate an index, you cannot create an index without a valid Map property (in index " + this._indexName + ").");
        }
        return super.toIndexDefinition(conventions, validateMap);
    }
    _toIndexDefinition(indexDefinition, conventions) {
        if (!this.map) {
            return;
        }
        indexDefinition.maps.add(this.map);
    }
}
exports.TimeSeriesIndexDefinitionBuilder = TimeSeriesIndexDefinitionBuilder;
//# sourceMappingURL=TimeSeriesIndexDefinitionBuilder.js.map