"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachmentRequest = void 0;
const StringUtil_1 = require("../../../Utility/StringUtil");
const Exceptions_1 = require("../../../Exceptions");
class AttachmentRequest {
    constructor(documentId, name) {
        if (StringUtil_1.StringUtil.isNullOrWhitespace(documentId)) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "DocumentId cannot be null or whitespace");
        }
        if (StringUtil_1.StringUtil.isNullOrWhitespace(name)) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "Name cannot be null or whitespace");
        }
        this._documentId = documentId;
        this._name = name;
    }
    get name() {
        return this._name;
    }
    get documentId() {
        return this._documentId;
    }
}
exports.AttachmentRequest = AttachmentRequest;
//# sourceMappingURL=AttachmentRequest.js.map