"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DelayBackupOperation = void 0;
const RavenCommand_1 = require("../../../Http/RavenCommand");
const TimeUtil_1 = require("../../../Utility/TimeUtil");
class DelayBackupOperation {
    constructor(runningBackupTaskId, duration) {
        this._runningBackupTaskId = runningBackupTaskId;
        this._duration = duration;
    }
    get resultType() {
        return "CommandResult";
    }
    getCommand(conventions) {
        return new DelayBackupCommand(this._runningBackupTaskId, this._duration);
    }
}
exports.DelayBackupOperation = DelayBackupOperation;
class DelayBackupCommand extends RavenCommand_1.RavenCommand {
    constructor(taskId, duration) {
        super();
        this._taskId = taskId;
        this._duration = duration;
    }
    get isReadRequest() {
        return true;
    }
    createRequest(node) {
        const uri = node.url + "/admin/backup-task/delay?taskId=" + this._taskId + "&duration=" + TimeUtil_1.TimeUtil.durationToTimeSpan(this._duration) + "&database=" + node.database;
        return {
            uri,
            method: "POST"
        };
    }
}
//# sourceMappingURL=DelayBackupOperation.js.map