import { IDatabaseTaskStatus } from "../../../ServerWide/IDatabaseTaskStatus";
import { BackupType } from "./Enums";
import { LocalBackup, UpdateToGoogleCloud, UploadToAzure, UploadToFtp, UploadToGlacier, UploadToS3 } from "./BackupStatus";
import { LastRaftIndex } from "./LastRaftIndex";
export interface PeriodicBackupStatus extends IDatabaseTaskStatus {
    taskId: number;
    backupType: BackupType;
    isFull: boolean;
    nodeTag: string;
    delayUntil: Date;
    originalBackupTime: Date;
    lastFullBackup: Date;
    lastIncrementalBackup: Date;
    lastFullBackupInternal: Date;
    lastIncrementalBackupInternal: Date;
    localBackup: LocalBackup;
    uploadToS3: UploadToS3;
    uploadToGlacier: UploadToGlacier;
    uploadToAzure: UploadToAzure;
    updateToGoogleCloud: UpdateToGoogleCloud;
    uploadToFtp: UploadToFtp;
    lastEtag: number;
    lastDatabaseChangeVector: string;
    lastRaftIndex: LastRaftIndex;
    folderName: string;
    durationInMs: number;
    localRetentionDurationInMs: number;
    version: number;
    error: PeriodicBackupError;
    lastOperationId: number;
    isEncrypted: boolean;
}
export declare class PeriodicBackupError {
    exception: string;
    at: Date;
}
