import { DocumentConventions } from "../../Conventions/DocumentConventions";
import { CompareExchangeValue } from "./CompareExchangeValue";
import { CompareExchangeResultClass } from "../../../Types";
export interface CompareExchangeResultItem {
    index: number;
    key: string;
    value: {
        object: object;
        "@metadata"?: any;
    };
    changeVector: string;
}
export interface GetCompareExchangeValuesResponse {
    results: CompareExchangeResultItem[];
}
export declare class CompareExchangeValueResultParser {
    static getValues<T>(responseObj: GetCompareExchangeValuesResponse, materializeMetadata: boolean, conventions: DocumentConventions, clazz?: CompareExchangeResultClass<T>): {
        [key: string]: CompareExchangeValue<T>;
    };
    static getValue<T>(response: GetCompareExchangeValuesResponse, materializeMetadata: boolean, conventions: DocumentConventions, clazz: CompareExchangeResultClass<T>): CompareExchangeValue<T>;
    static getSingleValue<T>(item: CompareExchangeResultItem, materializeMetadata: boolean, conventions: DocumentConventions, clazz: CompareExchangeResultClass<T>): CompareExchangeValue<any>;
}
