"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseHealthCheckOperation = void 0;
const RavenCommand_1 = require("../../Http/RavenCommand");
class DatabaseHealthCheckOperation {
    getCommand(conventions) {
        return new DatabaseHealthCheckCommand();
    }
    get resultType() {
        return "CommandResult";
    }
}
exports.DatabaseHealthCheckOperation = DatabaseHealthCheckOperation;
class DatabaseHealthCheckCommand extends RavenCommand_1.RavenCommand {
    constructor() {
        super();
        this.timeout = 15000;
    }
    get isReadRequest() {
        return true;
    }
    createRequest(node) {
        const uri = node.url + "/databases/" + node.database + "/healthcheck";
        return {
            method: "GET",
            uri
        };
    }
}
//# sourceMappingURL=DatabaseHealthCheckOperation.js.map