"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElasticSearchEtlConfiguration = void 0;
const EtlConfiguration_1 = require("../EtlConfiguration");
class ElasticSearchEtlConfiguration extends EtlConfiguration_1.EtlConfiguration {
    constructor() {
        super(...arguments);
        this.etlType = "ElasticSearch";
    }
    serialize(conventions) {
        const result = super.serialize(conventions);
        result.EtlType = this.etlType;
        result.ElasticIndexes = this.elasticIndexes ? this.elasticIndexes.map(this.serializeSearchIndex) : null;
        return result;
    }
    serializeSearchIndex(searchIndex) {
        return {
            IndexName: searchIndex.indexName,
            DocumentIdProperty: searchIndex.documentIdProperty,
            InsertOnlyMode: searchIndex.insertOnlyMode
        };
    }
}
exports.ElasticSearchEtlConfiguration = ElasticSearchEtlConfiguration;
//# sourceMappingURL=ElasticSearchEtlConfiguration.js.map