"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OlapEtlConfiguration = void 0;
const EtlConfiguration_1 = require("../EtlConfiguration");
class OlapEtlConfiguration extends EtlConfiguration_1.EtlConfiguration {
    constructor() {
        super(...arguments);
        this.etlType = "Olap";
    }
    serialize(conventions) {
        const result = super.serialize(conventions);
        result.RunFrequency = this.runFrequency;
        result.Format = this.format;
        result.CustomPartitionValue = this.customPartitionValue;
        result.OlapTables = this.olapTables ? this.olapTables.map(this.serializeOlapTable) : null;
        result.EtlType = this.etlType;
        return result;
    }
    serializeOlapTable(etlTable) {
        return {
            TableName: etlTable.tableName,
            DocumentIdColumn: etlTable.documentIdColumn
        };
    }
}
exports.OlapEtlConfiguration = OlapEtlConfiguration;
//# sourceMappingURL=OlapEtlConfiguration.js.map