"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueEtlConfiguration = void 0;
const EtlConfiguration_1 = require("../EtlConfiguration");
class QueueEtlConfiguration extends EtlConfiguration_1.EtlConfiguration {
    constructor() {
        super(...arguments);
        this.etlType = "Queue";
    }
    serialize(conventions) {
        const result = super.serialize(conventions);
        result.EtlType = this.etlType;
        result.Queues = this.queues ? this.queues.map(this.serializeQueue) : null;
        result.BrokerType = this.brokerType;
        result.SkipAutomaticQueueDeclaration = this.skipAutomaticQueueDeclaration;
        return result;
    }
    serializeQueue(queue) {
        return {
            Name: queue.name,
            DeleteProcessedDocuments: queue.deleteProcessedDocuments
        };
    }
}
exports.QueueEtlConfiguration = QueueEtlConfiguration;
//# sourceMappingURL=QueueEtlConfiguration.js.map