"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlEtlConfiguration = void 0;
const EtlConfiguration_1 = require("../EtlConfiguration");
const SqlEtlTable_1 = require("./SqlEtlTable");
class SqlEtlConfiguration extends EtlConfiguration_1.EtlConfiguration {
    get etlType() {
        return "Sql";
    }
    serialize(conventions) {
        const result = super.serialize(conventions);
        result.ParameterizeDeletes = this.parameterizeDeletes;
        result.ForceQueryRecompile = this.forceQueryRecompile;
        result.QuoteTables = this.quoteTables;
        result.CommandTimeout = this.commandTimeout;
        result.EtlType = this.etlType;
        result.SqlTables = this.sqlTables?.map(x => (0, SqlEtlTable_1.serializeSqlEtlTable)(x));
        return result;
    }
}
exports.SqlEtlConfiguration = SqlEtlConfiguration;
//# sourceMappingURL=SqlEtlConfiguration.js.map