"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NextIdentityForOperation = void 0;
const StringUtil_1 = require("../../../Utility/StringUtil");
const Exceptions_1 = require("../../../Exceptions");
const NextIdentityForCommand_1 = require("../../Commands/NextIdentityForCommand");
class NextIdentityForOperation {
    constructor(name) {
        if (StringUtil_1.StringUtil.isNullOrWhitespace(name)) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "The field name cannot be null or whitespace.");
        }
        this._identityName = name;
    }
    getCommand(conventions) {
        return new NextIdentityForCommand_1.NextIdentityForCommand(this._identityName);
    }
    get resultType() {
        return "CommandResult";
    }
}
exports.NextIdentityForOperation = NextIdentityForOperation;
//# sourceMappingURL=NextIdentityForOperation.js.map