"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeedIdentityForOperation = void 0;
const StringUtil_1 = require("../../../Utility/StringUtil");
const Exceptions_1 = require("../../../Exceptions");
const SeedIdentityForCommand_1 = require("../../Commands/SeedIdentityForCommand");
class SeedIdentityForOperation {
    constructor(name, value, forceUpdate = false) {
        if (StringUtil_1.StringUtil.isNullOrWhitespace(name)) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "The field name cannot be null or whitespace.");
        }
        this._identityName = name;
        this._identityValue = value;
        this._forceUpdate = forceUpdate;
    }
    getCommand(conventions) {
        return new SeedIdentityForCommand_1.SeedIdentityForCommand(this._identityName, this._identityValue, this._forceUpdate);
    }
    get resultType() {
        return "CommandResult";
    }
}
exports.SeedIdentityForOperation = SeedIdentityForOperation;
//# sourceMappingURL=SeedIdentityForOperation.js.map