"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetIndexNamesCommand = exports.GetIndexNamesOperation = void 0;
const RavenCommand_1 = require("../../../Http/RavenCommand");
class GetIndexNamesOperation {
    get resultType() {
        return "CommandResult";
    }
    constructor(start, pageSize) {
        this._start = start;
        this._pageSize = pageSize;
    }
    getCommand(conventions) {
        return new GetIndexNamesCommand(this._start, this._pageSize);
    }
}
exports.GetIndexNamesOperation = GetIndexNamesOperation;
class GetIndexNamesCommand extends RavenCommand_1.RavenCommand {
    constructor(start, pageSize) {
        super();
        this._start = start;
        this._pageSize = pageSize;
    }
    createRequest(node) {
        const uri = node.url + "/databases/" + node.database
            + "/indexes?start=" + this._start + "&pageSize=" + this._pageSize + "&namesOnly=true";
        return { uri };
    }
    async setResponseAsync(bodyStream, fromCache) {
        if (!bodyStream) {
            this._throwInvalidResponse();
        }
        let body = null;
        const results = await this._defaultPipeline(_ => body = _).process(bodyStream);
        this.result = results["results"];
        return body;
    }
    get isReadRequest() {
        return true;
    }
}
exports.GetIndexNamesCommand = GetIndexNamesCommand;
//# sourceMappingURL=GetIndexNamesOperation.js.map