"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetIndexingStatusCommand = exports.GetIndexingStatusOperation = void 0;
const RavenCommand_1 = require("../../../Http/RavenCommand");
class GetIndexingStatusOperation {
    get resultType() {
        return "CommandResult";
    }
    getCommand(conventions) {
        return new GetIndexingStatusCommand();
    }
}
exports.GetIndexingStatusOperation = GetIndexingStatusOperation;
class GetIndexingStatusCommand extends RavenCommand_1.RavenCommand {
    createRequest(node) {
        const uri = node.url + "/databases/" + node.database + "/indexes/status";
        return { uri };
    }
    async setResponseAsync(bodyStream, fromCache) {
        if (!bodyStream) {
            this._throwInvalidResponse();
        }
        return this._parseResponseDefaultAsync(bodyStream);
    }
    get isReadRequest() {
        return true;
    }
}
exports.GetIndexingStatusCommand = GetIndexingStatusCommand;
//# sourceMappingURL=GetIndexingStatusOperation.js.map