"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StopIndexingCommand = exports.StopIndexingOperation = void 0;
const RavenCommand_1 = require("../../../Http/RavenCommand");
class StopIndexingOperation {
    get resultType() {
        return "CommandResult";
    }
    getCommand(conventions) {
        return new StopIndexingCommand();
    }
}
exports.StopIndexingOperation = StopIndexingOperation;
class StopIndexingCommand extends RavenCommand_1.RavenCommand {
    get isReadRequest() {
        return false;
    }
    createRequest(node) {
        const uri = node.url + "/databases/" + node.database + "/admin/indexes/stop";
        return {
            method: "POST",
            uri
        };
    }
}
exports.StopIndexingCommand = StopIndexingCommand;
//# sourceMappingURL=StopIndexingOperation.js.map