"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PatchRequest = void 0;
class PatchRequest {
    static forScript(script) {
        return Object.assign(new PatchRequest(), { script });
    }
    serialize(conventions) {
        const result = {
            Script: this.script
        };
        if (this.values && Object.keys(this.values).length) {
            result["Values"] = Object.entries(this.values).reduce((result, [key, val]) => {
                const literal = conventions.objectMapper.toObjectLiteral(val);
                result[key] = conventions.transformObjectKeysToRemoteFieldNameConvention(literal);
                return result;
            }, {});
        }
        return result;
    }
}
exports.PatchRequest = PatchRequest;
//# sourceMappingURL=PatchRequest.js.map