"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RawTimeSeriesPolicy = void 0;
const TimeSeriesPolicy_1 = require("./TimeSeriesPolicy");
const TimeValue_1 = require("../../../Primitives/TimeValue");
const Exceptions_1 = require("../../../Exceptions");
class RawTimeSeriesPolicy extends TimeSeriesPolicy_1.TimeSeriesPolicy {
    constructor(retentionTime) {
        if (retentionTime && retentionTime.compareTo(TimeValue_1.TimeValue.ZERO) <= 0) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "Retention time must be greater than zero.");
        }
        super(RawTimeSeriesPolicy.POLICY_STRING, TimeValue_1.TimeValue.MAX_VALUE, retentionTime || TimeValue_1.TimeValue.MAX_VALUE);
        this.aggregationTime = null;
    }
    static parse(policy) {
        const result = new RawTimeSeriesPolicy();
        result.name = policy.Name;
        result.aggregationTime = TimeValue_1.TimeValue.parse(policy.AggregationTime);
        result.retentionTime = TimeValue_1.TimeValue.parse(policy.RetentionTime);
        return result;
    }
}
exports.RawTimeSeriesPolicy = RawTimeSeriesPolicy;
RawTimeSeriesPolicy.POLICY_STRING = "rawpolicy";
RawTimeSeriesPolicy.DEFAULT_POLICY = new RawTimeSeriesPolicy();
//# sourceMappingURL=RawTimeSeriesPolicy.js.map