"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StopTransactionsRecordingOperation = void 0;
const RavenCommand_1 = require("../../../Http/RavenCommand");
class StopTransactionsRecordingOperation {
    getCommand(conventions) {
        return new StopTransactionsRecordingCommand();
    }
    get resultType() {
        return "CommandResult";
    }
}
exports.StopTransactionsRecordingOperation = StopTransactionsRecordingOperation;
class StopTransactionsRecordingCommand extends RavenCommand_1.RavenCommand {
    constructor() {
        super();
        this._responseType = "Empty";
    }
    createRequest(node) {
        const uri = node.url + "/databases/" + node.database + "/admin/transactions/stop-recording";
        return {
            uri,
            method: "POST"
        };
    }
    get isReadRequest() {
        return false;
    }
}
//# sourceMappingURL=StopTransactionsRecordingOperation.js.map