"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AggregationDocumentQuery = void 0;
const AggregationQueryBase_1 = require("./AggregationQueryBase");
const FacetBuilder_1 = require("./FacetBuilder");
class AggregationDocumentQuery extends AggregationQueryBase_1.AggregationQueryBase {
    constructor(source) {
        super(source.session);
        this._source = source;
    }
    andAggregateBy(builderOrFacet) {
        if (typeof builderOrFacet === "function") {
            const f = new FacetBuilder_1.FacetBuilder();
            builderOrFacet(f);
            return this.andAggregateBy(f.getFacet());
        }
        this._source._aggregateBy(builderOrFacet);
        return this;
    }
    _getIndexQuery(updateAfterQueryExecuted = true) {
        return this._source.getIndexQuery();
    }
    emit(eventName, queryResult) {
        if (eventName === "afterQueryExecuted") {
            this._source.emit(eventName, queryResult);
        }
    }
}
exports.AggregationDocumentQuery = AggregationDocumentQuery;
//# sourceMappingURL=AggregationDocumentQuery.js.map