"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AggregationRawDocumentQuery = void 0;
const AggregationQueryBase_1 = require("./AggregationQueryBase");
const Exceptions_1 = require("../../../Exceptions");
class AggregationRawDocumentQuery extends AggregationQueryBase_1.AggregationQueryBase {
    constructor(source, session) {
        super(session);
        this._source = source;
        if (!source) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "Source cannot be null");
        }
    }
    _getIndexQuery(updateAfterQueryExecuted) {
        return this._source.getIndexQuery();
    }
    emit(eventName, queryResult) {
        if (eventName === "afterQueryExecuted") {
            this._source.emit(eventName, queryResult);
        }
    }
}
exports.AggregationRawDocumentQuery = AggregationRawDocumentQuery;
//# sourceMappingURL=AggregationRawDocumentQuery.js.map