"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoreLikeThisBuilder = void 0;
const MoreLikeThisUsingAnyDocument_1 = require("./MoreLikeThisUsingAnyDocument");
const MoreLikeThisUsingDocument_1 = require("./MoreLikeThisUsingDocument");
const TypeUtil_1 = require("../../../Utility/TypeUtil");
const MoreLikeThisUsingDocumentForDocumentQuery_1 = require("./MoreLikeThisUsingDocumentForDocumentQuery");
class MoreLikeThisBuilder {
    getMoreLikeThis() {
        return this._moreLikeThis;
    }
    usingAnyDocument() {
        this._moreLikeThis = new MoreLikeThisUsingAnyDocument_1.MoreLikeThisUsingAnyDocument();
        return this;
    }
    usingDocument(documentJsonOrBuilder) {
        if (TypeUtil_1.TypeUtil.isString(documentJsonOrBuilder)) {
            this._moreLikeThis = new MoreLikeThisUsingDocument_1.MoreLikeThisUsingDocument(documentJsonOrBuilder);
        }
        else {
            const builder = documentJsonOrBuilder;
            this._moreLikeThis = new MoreLikeThisUsingDocumentForDocumentQuery_1.MoreLikeThisUsingDocumentForDocumentQuery();
            this._moreLikeThis.forDocumentQuery = builder;
        }
        return this;
    }
    withOptions(options) {
        this._moreLikeThis.options = options;
        return this;
    }
}
exports.MoreLikeThisBuilder = MoreLikeThisBuilder;
//# sourceMappingURL=MoreLikeThisBuilder.js.map