"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoreLikeThisScope = void 0;
const ObjectUtil_1 = require("../../../Utility/ObjectUtil");
class MoreLikeThisScope {
    constructor(token, addQueryParameter, onDispose) {
        this._token = token;
        this._addQueryParameter = addQueryParameter;
        this._onDispose = onDispose;
    }
    dispose() {
        if (this._onDispose) {
            this._onDispose();
        }
    }
    withOptions(options) {
        if (!options) {
            return;
        }
        const optionsAsJson = ObjectUtil_1.ObjectUtil.transformObjectKeys(options, { defaultTransform: "pascal" });
        this._token.optionsParameterName = this._addQueryParameter(optionsAsJson);
    }
    withDocument(document) {
        this._token.documentParameterName = this._addQueryParameter(document);
    }
}
exports.MoreLikeThisScope = MoreLikeThisScope;
//# sourceMappingURL=MoreLikeThisScope.js.map