"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SuggestionDocumentQuery = void 0;
const SuggestionQueryBase_1 = require("./SuggestionQueryBase");
const SuggestionBase_1 = require("./SuggestionBase");
const SuggestionBuilder_1 = require("./SuggestionBuilder");
class SuggestionDocumentQuery extends SuggestionQueryBase_1.SuggestionQueryBase {
    constructor(source) {
        super(source.session);
        this._source = source;
    }
    _getIndexQuery(updateAfterQueryExecuted = true) {
        return this._source.getIndexQuery();
    }
    _invokeAfterQueryExecuted(result) {
        this._source.emit("afterQueryExecuted", result);
    }
    andSuggestUsing(suggestionOrBuilder) {
        if (suggestionOrBuilder instanceof SuggestionBase_1.SuggestionBase) {
            this._source._suggestUsing(suggestionOrBuilder);
        }
        else {
            const f = new SuggestionBuilder_1.SuggestionBuilder();
            suggestionOrBuilder(f);
            this._source.suggestUsing(f.suggestion);
        }
        return this;
    }
}
exports.SuggestionDocumentQuery = SuggestionDocumentQuery;
//# sourceMappingURL=SuggestionDocumentQuery.js.map