"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClusterTransactionOperations = void 0;
const ClusterTransactionOperationsBase_1 = require("./ClusterTransactionOperationsBase");
const TypeUtil_1 = require("../../Utility/TypeUtil");
const LazyClusterTransactionOperations_1 = require("./Operations/Lazy/LazyClusterTransactionOperations");
class ClusterTransactionOperations extends ClusterTransactionOperationsBase_1.ClusterTransactionOperationsBase {
    constructor(session) {
        super(session);
    }
    get lazily() {
        return new LazyClusterTransactionOperations_1.LazyClusterTransactionOperations(this._session);
    }
    async getCompareExchangeValue(key, type) {
        return this._getCompareExchangeValueInternal(key, type);
    }
    getCompareExchangeValues(keysOrStartsWith, type, start, pageSize) {
        if (TypeUtil_1.TypeUtil.isArray(keysOrStartsWith)) {
            return this._getCompareExchangeValuesInternal(keysOrStartsWith, type);
        }
        else {
            return this._getCompareExchangeValuesInternal(keysOrStartsWith, type, start ?? 0, pageSize ?? 25);
        }
    }
}
exports.ClusterTransactionOperations = ClusterTransactionOperations;
//# sourceMappingURL=ClusterTransactionOperations.js.map