"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentQueryCustomization = void 0;
class DocumentQueryCustomization {
    constructor(query) {
        this._query = query;
    }
    getQuery() {
        return this._query;
    }
    getQueryOperation() {
        return this._query.queryOperation();
    }
    on(eventName, eventHandler) {
        this._query.on(eventName, eventHandler);
        return this;
    }
    once(eventName, eventHandler) {
        this._query.once(eventName, eventHandler);
        return this;
    }
    removeListener(eventName, eventHandler) {
        this._query.removeListener(eventName, eventHandler);
        return this;
    }
    noCaching() {
        this._query._noCaching();
        return this;
    }
    noTracking() {
        this._query._noTracking();
        return this;
    }
    randomOrdering(seed) {
        this._query._randomOrdering(seed);
        return this;
    }
    waitForNonStaleResults(waitTimeout) {
        this._query._waitForNonStaleResults(waitTimeout);
        return this;
    }
    timings(timings) {
        this._query._includeTimings(timings);
        return this;
    }
    projection(projectionBehavior) {
        this._query._projection(projectionBehavior);
        return this;
    }
}
exports.DocumentQueryCustomization = DocumentQueryCustomization;
//# sourceMappingURL=DocumentQueryCustomization.js.map