"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntityInfo = exports.DocumentsById = void 0;
const CaseInsensitiveKeysMap_1 = require("../../Primitives/CaseInsensitiveKeysMap");
class DocumentsById {
    constructor() {
        this._inner = CaseInsensitiveKeysMap_1.CaseInsensitiveKeysMap.create();
    }
    getValue(id) {
        return this._inner.get(id);
    }
    add(info) {
        if (this._inner.has(info.id)) {
            return;
        }
        this._inner.set(info.id, info);
    }
    remove(id) {
        return this._inner.delete(id);
    }
    clear() {
        this._inner.clear();
    }
    getCount() {
        return this._inner.size;
    }
    entries() {
        return this._inner.entries();
    }
    getTrackedEntities(session) {
        const result = CaseInsensitiveKeysMap_1.CaseInsensitiveKeysMap.create();
        for (const keyValue of this._inner.entries()) {
            const entityInfo = new EntityInfo();
            entityInfo.id = keyValue[0];
            entityInfo.entity = keyValue[1].entity;
            entityInfo.isDeleted = session.isDeleted(keyValue[0]);
            result[keyValue[0]] = entityInfo;
        }
        return result;
    }
}
exports.DocumentsById = DocumentsById;
class EntityInfo {
}
exports.EntityInfo = EntityInfo;
//# sourceMappingURL=DocumentsById.js.map