"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LazyClusterTransactionOperations = void 0;
const ClusterTransactionOperationsBase_1 = require("../../ClusterTransactionOperationsBase");
const LazyGetCompareExchangeValueOperation_1 = require("./LazyGetCompareExchangeValueOperation");
const LazyGetCompareExchangeValuesOperation_1 = require("./LazyGetCompareExchangeValuesOperation");
class LazyClusterTransactionOperations extends ClusterTransactionOperationsBase_1.ClusterTransactionOperationsBase {
    getCompareExchangeValue(key, type) {
        return this._session.addLazyOperation(new LazyGetCompareExchangeValueOperation_1.LazyGetCompareExchangeValueOperation(this, type, this._session.conventions, key));
    }
    getCompareExchangeValues(keys, type) {
        return this._session.addLazyOperation(new LazyGetCompareExchangeValuesOperation_1.LazyGetCompareExchangeValuesOperation(this, type, this._session.conventions, keys));
    }
}
exports.LazyClusterTransactionOperations = LazyClusterTransactionOperations;
//# sourceMappingURL=LazyClusterTransactionOperations.js.map