"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RawDocumentQuery = void 0;
const AbstractDocumentQuery_1 = require("./AbstractDocumentQuery");
const AggregationRawDocumentQuery_1 = require("../Queries/Facets/AggregationRawDocumentQuery");
class RawDocumentQuery extends AbstractDocumentQuery_1.AbstractDocumentQuery {
    constructor(session, rawQuery, clazz) {
        super(clazz, session, null, null, false, null, null);
        this._queryRaw = rawQuery;
    }
    skip(count) {
        this._skip(count);
        return this;
    }
    take(count) {
        this._take(count);
        return this;
    }
    waitForNonStaleResults(waitTimeout) {
        this._waitForNonStaleResults(waitTimeout || null);
        return this;
    }
    timings(timings) {
        this._includeTimings(timings);
        return this;
    }
    noTracking() {
        this._noTracking();
        return this;
    }
    noCaching() {
        this._noCaching();
        return this;
    }
    usingDefaultOperator(queryOperator) {
        this._usingDefaultOperator(queryOperator);
        return this;
    }
    statistics(statsCallback) {
        this._statistics(statsCallback);
        return this;
    }
    addParameter(name, value) {
        super.addParameter(name, value);
        return this;
    }
    executeAggregation() {
        const query = new AggregationRawDocumentQuery_1.AggregationRawDocumentQuery(this, this._theSession);
        return query.execute();
    }
    projection(projectionBehavior) {
        this._projection(projectionBehavior);
        return this;
    }
}
exports.RawDocumentQuery = RawDocumentQuery;
//# sourceMappingURL=RawDocumentQuery.js.map