"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompareExchangeValueIncludesToken = void 0;
const QueryToken_1 = require("./QueryToken");
const Exceptions_1 = require("../../../Exceptions");
class CompareExchangeValueIncludesToken extends QueryToken_1.QueryToken {
    constructor(path) {
        super();
        if (!path) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "Path cannot be null");
        }
        this._path = path;
    }
    static create(path) {
        return new CompareExchangeValueIncludesToken(path);
    }
    writeTo(writer) {
        writer
            .append("cmpxchg('")
            .append(this._path)
            .append("')");
    }
}
exports.CompareExchangeValueIncludesToken = CompareExchangeValueIncludesToken;
//# sourceMappingURL=CompareExchangeValueIncludesToken.js.map