"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeclareToken = void 0;
const QueryToken_1 = require("./QueryToken");
const os = require("os");
class DeclareToken extends QueryToken_1.QueryToken {
    constructor(name, body, parameters, timeSeries) {
        super();
        this._name = name;
        this._body = body;
        this._parameters = parameters;
        this._timeSeries = timeSeries;
    }
    static createFunction(name, body, parameters = null) {
        return new DeclareToken(name, body, parameters, false);
    }
    static createTimeSeries(name, body, parameters = null) {
        return new DeclareToken(name, body, parameters, true);
    }
    writeTo(writer) {
        writer
            .append("declare ")
            .append(this._timeSeries ? "timeseries " : "function ")
            .append(this._name)
            .append("(")
            .append(this._parameters)
            .append(") ")
            .append("{")
            .append(os.EOL)
            .append(this._body)
            .append(os.EOL)
            .append("}")
            .append(os.EOL);
    }
}
exports.DeclareToken = DeclareToken;
//# sourceMappingURL=DeclareToken.js.map