"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExplanationToken = void 0;
const QueryToken_1 = require("./QueryToken");
class ExplanationToken extends QueryToken_1.QueryToken {
    constructor(optionsParameterName) {
        super();
        this._optionsParameterName = optionsParameterName;
    }
    static create(optionsParameterName) {
        return new ExplanationToken(optionsParameterName);
    }
    writeTo(writer) {
        writer.append("explanations(");
        if (this._optionsParameterName) {
            writer
                .append("$")
                .append(this._optionsParameterName);
        }
        writer.append(")");
    }
}
exports.ExplanationToken = ExplanationToken;
//# sourceMappingURL=ExplanationToken.js.map