"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupByCountToken = void 0;
const QueryToken_1 = require("./QueryToken");
class GroupByCountToken extends QueryToken_1.QueryToken {
    constructor(fieldName) {
        super();
        this._fieldName = fieldName;
    }
    static create(fieldName) {
        return new GroupByCountToken(fieldName);
    }
    writeTo(writer) {
        writer.append("count()");
        if (!this._fieldName) {
            return;
        }
        writer.append(" as ")
            .append(this._fieldName);
    }
}
exports.GroupByCountToken = GroupByCountToken;
//# sourceMappingURL=GroupByCountToken.js.map