"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupByKeyToken = void 0;
const QueryToken_1 = require("./QueryToken");
class GroupByKeyToken extends QueryToken_1.QueryToken {
    constructor(fieldName, projectedName) {
        super();
        this._fieldName = fieldName;
        this._projectedName = projectedName;
    }
    static create(fieldName, projectedName) {
        return new GroupByKeyToken(fieldName, projectedName);
    }
    writeTo(writer) {
        QueryToken_1.QueryToken.writeField(writer, this._fieldName || "key()");
        if (!this._projectedName || this._projectedName === this._fieldName) {
            return;
        }
        writer
            .append(" as '")
            .append(this._projectedName)
            .append("'");
    }
}
exports.GroupByKeyToken = GroupByKeyToken;
//# sourceMappingURL=GroupByKeyToken.js.map