"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupBySumToken = void 0;
const QueryToken_1 = require("./QueryToken");
const Exceptions_1 = require("../../../Exceptions");
class GroupBySumToken extends QueryToken_1.QueryToken {
    constructor(fieldName, projectedName) {
        super();
        if (!fieldName) {
            (0, Exceptions_1.throwError)("InvalidArgumentException", "fieldName cannot be null");
        }
        this._fieldName = fieldName;
        this._projectedName = projectedName;
    }
    static create(fieldName, projectedName) {
        return new GroupBySumToken(fieldName, projectedName);
    }
    writeTo(writer) {
        writer
            .append("sum(")
            .append(this._fieldName)
            .append(")");
        if (!this._projectedName) {
            return;
        }
        writer
            .append(" as ")
            .append(this._projectedName);
    }
}
exports.GroupBySumToken = GroupBySumToken;
//# sourceMappingURL=GroupBySumToken.js.map