"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupByToken = void 0;
const QueryToken_1 = require("./QueryToken");
class GroupByToken extends QueryToken_1.QueryToken {
    constructor(fieldName, method) {
        super();
        this._fieldName = fieldName;
        this._method = method;
    }
    static create(fieldName, method = "None") {
        return new GroupByToken(fieldName, method);
    }
    writeTo(writer) {
        if (this._method !== "None") {
            writer.append("Array(");
        }
        QueryToken_1.QueryToken.writeField(writer, this._fieldName);
        if (this._method !== "None") {
            writer.append(")");
        }
    }
}
exports.GroupByToken = GroupByToken;
//# sourceMappingURL=GroupByToken.js.map