"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoreLikeThisToken = void 0;
const WhereToken_1 = require("./WhereToken");
const DocumentQueryHelper_1 = require("../DocumentQueryHelper");
class MoreLikeThisToken extends WhereToken_1.WhereToken {
    constructor() {
        super();
        this.whereTokens = [];
    }
    writeTo(writer) {
        writer.append("moreLikeThis(");
        if (!this.documentParameterName) {
            for (let i = 0; i < this.whereTokens.length; i++) {
                DocumentQueryHelper_1.DocumentQueryHelper.addSpaceIfNeeded(i > 0 ? this.whereTokens[i - 1] : null, this.whereTokens[i], writer);
                this.whereTokens[i].writeTo(writer);
            }
        }
        else {
            writer.append("$").append(this.documentParameterName);
        }
        if (!this.optionsParameterName) {
            writer.append(")");
            return;
        }
        writer.append(", $")
            .append(this.optionsParameterName)
            .append(")");
    }
}
exports.MoreLikeThisToken = MoreLikeThisToken;
//# sourceMappingURL=MoreLikeThisToken.js.map