"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryToken = void 0;
class QueryToken {
    static writeField(writer, field) {
        const keyWord = QueryToken.isKeyword(field);
        if (keyWord) {
            writer.append("'");
        }
        writer.append(field);
        if (keyWord) {
            writer.append("'");
        }
    }
    static isKeyword(field) {
        return QueryToken.RQL_KEYWORDS.has(field);
    }
}
exports.QueryToken = QueryToken;
QueryToken.RQL_KEYWORDS = new Set([
    "as",
    "select",
    "where",
    "load",
    "group",
    "order",
    "include",
    "filter"
]);
//# sourceMappingURL=QueryToken.js.map