"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RevisionIncludesToken = void 0;
const QueryToken_1 = require("./QueryToken");
const DateUtil_1 = require("../../../Utility/DateUtil");
const StringUtil_1 = require("../../../Utility/StringUtil");
class RevisionIncludesToken extends QueryToken_1.QueryToken {
    constructor(args) {
        super();
        this._dateTime = args.date;
        this._path = args.path;
    }
    static createForDate(dateTime) {
        return new RevisionIncludesToken({
            date: DateUtil_1.DateUtil.default.stringify(dateTime),
        });
    }
    static createForPath(path) {
        return new RevisionIncludesToken({
            path
        });
    }
    writeTo(writer) {
        writer.append("revisions('");
        if (this._dateTime) {
            writer.append(this._dateTime);
        }
        else if (!StringUtil_1.StringUtil.isNullOrWhitespace(this._path)) {
            writer.append(this._path);
        }
        writer.append("')");
    }
}
exports.RevisionIncludesToken = RevisionIncludesToken;
//# sourceMappingURL=RevisionIncludesToken.js.map