"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShapeToken = void 0;
const QueryToken_1 = require("./QueryToken");
class ShapeToken extends QueryToken_1.QueryToken {
    constructor(shape) {
        super();
        this._shape = shape;
    }
    static circle(radiusParameterName, latitudeParameterName, longitudeParameterName, radiusUnits) {
        if (!radiusUnits) {
            return new ShapeToken("spatial.circle($"
                + radiusParameterName
                + ", $" + latitudeParameterName
                + ", $" + longitudeParameterName + ")");
        }
        if (radiusUnits === "Kilometers") {
            return new ShapeToken("spatial.circle($" + radiusParameterName
                + ", $" + latitudeParameterName
                + ", $" + longitudeParameterName
                + ", 'Kilometers')");
        }
        return new ShapeToken("spatial.circle($"
            + radiusParameterName
            + ", $" + latitudeParameterName
            + ", $" + longitudeParameterName
            + ", 'Miles')");
    }
    static wkt(shapeWktParameterName, units) {
        if (!units) {
            return new ShapeToken("spatial.wkt($" + shapeWktParameterName + ")");
        }
        if (units === "Kilometers") {
            return new ShapeToken("spatial.wkt($" + shapeWktParameterName + ", 'Kilometers')");
        }
        return new ShapeToken("spatial.wkt($" + shapeWktParameterName + ", 'Miles')");
    }
    writeTo(writer) {
        writer.append(this._shape);
    }
}
exports.ShapeToken = ShapeToken;
//# sourceMappingURL=ShapeToken.js.map