"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithEdgesToken = void 0;
const QueryToken_1 = require("./QueryToken");
const StringUtil_1 = require("../../../Utility/StringUtil");
class WithEdgesToken extends QueryToken_1.QueryToken {
    constructor(alias, edgeSelector, query) {
        super();
        this._alias = alias;
        this._query = query;
        this._edgeSelector = edgeSelector;
    }
    writeTo(writer) {
        writer.append("with edges(");
        writer.append(this._edgeSelector);
        writer.append(")");
        if (!StringUtil_1.StringUtil.isNullOrWhitespace(this._query)) {
            writer.append(" {");
            writer.append(this._query);
            writer.append("} ");
        }
        writer.append(" as ");
        writer.append(this._alias);
    }
}
exports.WithEdgesToken = WithEdgesToken;
//# sourceMappingURL=WithEdgesToken.js.map