"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseSmugglerOptions = void 0;
class DatabaseSmugglerOptions {
    constructor() {
        this.operateOnTypes = [...DatabaseSmugglerOptions.DEFAULT_OPERATE_ON_TYPES];
        this.operateOnDatabaseRecordType = [...DatabaseSmugglerOptions.DEFAULT_OPERATE_ON_DATABASE_RECORD_TYPES];
        this.maxStepsForTransformScript = DatabaseSmugglerOptions.DEFAULT_MAX_STEPS_FOR_TRANSFORM_SCRIPT;
        this.includeExpired = true;
        this.collections = [];
    }
}
exports.DatabaseSmugglerOptions = DatabaseSmugglerOptions;
DatabaseSmugglerOptions.DEFAULT_OPERATE_ON_TYPES = [
    "Indexes", "Documents", "RevisionDocuments", "Conflicts", "DatabaseRecord", "ReplicationHubCertificates", "Identities",
    "CompareExchange", "Attachments", "CounterGroups", "Subscriptions", "TimeSeries"
];
DatabaseSmugglerOptions.DEFAULT_OPERATE_ON_DATABASE_RECORD_TYPES = [
    "Client", "ConflictSolverConfig", "Expiration", "ExternalReplications", "PeriodicBackups", "RavenConnectionStrings",
    "RavenEtls", "Revisions", "Settings", "SqlConnectionStrings", "Sorters", "SqlEtls",
    "HubPullReplications", "SinkPullReplications", "TimeSeries", "DocumentsCompression",
    "Analyzers", "LockMode", "OlapConnectionStrings", "OlapEtls", "ElasticSearchConnectionStrings",
    "ElasticSearchEtls", "PostgreSqlIntegration", "QueueConnectionStrings", "QueueEtl",
    "IndexesHistory", "Refresh"
];
DatabaseSmugglerOptions.DEFAULT_MAX_STEPS_FOR_TRANSFORM_SCRIPT = 10 * 1000;
//# sourceMappingURL=DatabaseSmugglerOptions.js.map