"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UriUtility = void 0;
const TypeUtil_1 = require("../Utility/TypeUtil");
class UriUtility {
    static parseUrls(urls) {
        return (TypeUtil_1.TypeUtil.isArray(urls) ? urls : [urls])
            .reduce((accumulator, iteratee) => accumulator.concat((TypeUtil_1.TypeUtil.isArray(iteratee) ? iteratee
            : iteratee.split(/[,;]/).map((url) => url.trim())
                .filter((url) => !!url))), []);
    }
    static isSecure(url) {
        return 0 === url.toLowerCase().indexOf("https");
    }
}
exports.UriUtility = UriUtility;
//# sourceMappingURL=UriUtility.js.map