"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CaseInsensitiveKeysStore = void 0;
class CaseInsensitiveKeysStore {
    constructor() {
        this._originalKeys = new Map();
    }
    getKey(key) {
        return this._originalKeys.get(this.normalizeKey(key));
    }
    getKeys() {
        return this._originalKeys.values();
    }
    setKey(origKey) {
        const lowerKey = this.normalizeKey(origKey);
        this._originalKeys.set(lowerKey, origKey);
        return lowerKey;
    }
    deleteKey(origKey) {
        const lowerKey = this.normalizeKey(origKey);
        this._originalKeys.delete(lowerKey);
        return lowerKey;
    }
    normalizeKey(key) {
        return key ? key.toLowerCase() : key;
    }
}
exports.CaseInsensitiveKeysStore = CaseInsensitiveKeysStore;
//# sourceMappingURL=CaseInsensitiveKeysStore.js.map