"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddClusterNodeCommand = void 0;
const RavenCommand_1 = require("../../../Http/RavenCommand");
const RaftIdGenerator_1 = require("../../../Utility/RaftIdGenerator");
class AddClusterNodeCommand extends RavenCommand_1.RavenCommand {
    constructor(url, tag, watcher = false) {
        super();
        this._url = url;
        this._tag = tag;
        this._watcher = watcher;
    }
    get isReadRequest() {
        return false;
    }
    createRequest(node) {
        let uri = node.url + "/admin/cluster/node?url=" + this._urlEncode(this._url) + "&watcher=" + this._watcher;
        if (this._tag) {
            uri += "&tag=" + this._tag;
        }
        return {
            uri,
            method: "Put"
        };
    }
    getRaftUniqueRequestId() {
        return RaftIdGenerator_1.RaftIdGenerator.newId();
    }
}
exports.AddClusterNodeCommand = AddClusterNodeCommand;
//# sourceMappingURL=AddClusterNodeCommand.js.map