"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetBuildNumberOperation = void 0;
const RavenCommand_1 = require("../../Http/RavenCommand");
class GetBuildNumberOperation {
    getCommand(conventions) {
        return new GetBuildNumberCommand();
    }
    get resultType() {
        return "CommandResult";
    }
}
exports.GetBuildNumberOperation = GetBuildNumberOperation;
class GetBuildNumberCommand extends RavenCommand_1.RavenCommand {
    get isReadRequest() {
        return true;
    }
    createRequest(node) {
        const uri = node.url + "/build/version";
        return {
            uri,
            method: "GET"
        };
    }
    async setResponseAsync(bodyStream, fromCache) {
        if (!bodyStream) {
            this._throwInvalidResponse();
        }
        return this._parseResponseDefaultAsync(bodyStream);
    }
}
//# sourceMappingURL=GetBuildNumberOperation.js.map