"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateDatabaseOperation = void 0;
const CreateDatabaseOperation_1 = require("./CreateDatabaseOperation");
const Exceptions_1 = require("../../Exceptions");
class UpdateDatabaseOperation {
    constructor(databaseRecord, etag, replicationFactor) {
        this._databaseRecord = databaseRecord;
        this._etag = etag;
        const topology = databaseRecord.topology;
        if (replicationFactor) {
            this._replicationFactor = replicationFactor;
        }
        else {
            if (topology && topology.replicationFactor > 0) {
                this._replicationFactor = topology.replicationFactor;
            }
            else {
                (0, Exceptions_1.throwError)("InvalidArgumentException", "DatabaseRecord.Topology.ReplicationFactor is missing");
            }
        }
    }
    get resultType() {
        return "CommandResult";
    }
    getCommand(conventions) {
        return new CreateDatabaseOperation_1.CreateDatabaseCommand(conventions, this._databaseRecord, this._replicationFactor, this._etag);
    }
}
exports.UpdateDatabaseOperation = UpdateDatabaseOperation;
//# sourceMappingURL=UpdateDatabaseOperation.js.map